"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var TreeService = /** @class */ (function () {
    function TreeService() {
        this.nodeExpanded = new core_1.EventEmitter();
        this.nodeCollapsed = new core_1.EventEmitter();
        this.nodeFocused = new core_1.EventEmitter();
        this.nodeBlured = new core_1.EventEmitter();
        this.nodeSelected = new core_1.EventEmitter();
        this.controllers = new Map();
    }
    TreeService.prototype.setController = function (id, controller) {
        this.controllers.set(id, controller);
    };
    TreeService.prototype.deleteController = function (id) {
        if (this.controllers.has(id)) {
            this.controllers.delete(id);
        }
    };
    TreeService.prototype.getController = function (id) {
        if (this.controllers.has(id)) {
            return this.controllers.get(id);
        }
        return null;
    };
    TreeService.prototype.hasController = function (id) {
        return this.controllers.has(id);
    };
    TreeService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    TreeService.ctorParameters = function () { return []; };
    return TreeService;
}());
exports.TreeService = TreeService;
//# sourceMappingURL=tree.service.js.map