import { OnInit, OnChanges, OnDestroy, SimpleChanges, EventEmitter, TemplateRef } from '@angular/core';
import { Node } from '../model/model';
import { TreeService } from '../services/tree.service';
import { TreeController } from './tree-controller';
export declare class TreeComponent implements OnInit, OnChanges, OnDestroy {
    private treeService;
    tree: Node;
    onSelect: EventEmitter<Node>;
    onExpand: EventEmitter<Node>;
    onCollapse: EventEmitter<Node>;
    nameTemplate: TemplateRef<any>;
    loadingTemplate: TemplateRef<any>;
    toggleTemplate: TemplateRef<any>;
    focusedNode: Node;
    selectedNode: Node;
    treeHasFocus: boolean;
    constructor(treeService: TreeService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    onTreeFocus(): void;
    onTreeBlur(): void;
    focusPreviousNode(): void;
    focusNextNode(): void;
    expandNode(): void;
    collapseNode(): void;
    focusRoot(): void;
    selectNode(): void;
    getControllerByNodeId(id: number): TreeController;
    private focusParentSibling(node);
    private focusLastChild(node);
    handleKeyboardEvent(evt: KeyboardEvent): void;
}
